<%@ page language="C#" autoeventwireup="true" inherits="pay_alipay, kfenlei" %>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Cache-control" content="no-cache" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
<title>支付宝支付</title>
<link rel="stylesheet" href="/wap/wap.css" type="text/css" />
<script type="text/javascript" src="/js/jquery.js"></script>
<script type="text/javascript" src="/js/clipboard.min.js"></script>
<style type="text/css">
*{margin:0; padding:0;}
img{max-width: 100%; height: auto;}
.weixin-tip{ position: fixed; left:0; top:0; bottom:0; background: rgba(0,0,0,0.8); filter:alpha(opacity=80);  height: 100%; width: 100%; z-index: 100;}
.weixin-tip p{text-align: center; margin-top: 10%; padding:0 5%;}
.weixin-tip .miniprogram{text-align:center; margin-top: 10%; padding:0 5%; font-size:26px; line-height:45px; color:#FFFFFF; text-align:left; table-layout:fixed; word-break:break-all; word-wrap:break-word;}
</style>
</head> 
<body>
<div class="weixin-tip" style="display:none;" id="live_weixin_android"><p>
<img src="images/live_weixin_android.png" alt="微信打开"/>
</p>
</div>
<div class="weixin-tip" id="live_weixin_ios" style="display:none;"><p>
<img src="images/live_weixin_ios.png" alt="微信打开"/>
</p>
</div>
<div class="weixin-tip" id="live_weixin_miniprogram" style="display:none;">
<div class="itop"><div class="itopio1"><a href="javascript:history.go(-1);" class="infoback">返回</a></div>
<div class="clear"></div>
</div>
<div class="miniprogram">
请复制下方链接，在手机浏览器中打开，以完成支付！<br />
<%=sUrl %><br />
<div class="clear10"></div>
<div class="payBtn copy" data-clipboard-text="<%=sUrl %>" style="background-color:#70cd00; border-radius:25px; font-size:20px; border:1px solid #222222; letter-spacing:5px; text-align:center;">复制链接</div>
<div class="clear10"></div>
<div class="clear10"></div>
<a href="/wap/"><div class="payBtn" style="background-color:#0cace6; border-radius:25px; font-size:20px; border:1px solid #222222; letter-spacing:5px; text-align:center;">返回首页</div></a>
</div>
</div>
<%=kfWechat.jssdk_config() %>
<script type="text/javascript">
var u = navigator.userAgent
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1;
    var isIOS =u.indexOf('iPhone') > -1 || u.indexOf('iPad') > -1;
    if (isAndroid) {
    $("#live_weixin_android").show();
    }
    if (isIOS) {
    $("#live_weixin_ios").show();
    }
    if(window.__wxjs_environment=="miniprogram")
    {
        $("#live_weixin_android").hide();
        $("#live_weixin_ios").hide();
        $("#live_weixin_miniprogram").show();
    }
   $(document).ready(function(){  
   var clipboard = new Clipboard('.copy'); 
   clipboard.on('success', function(e) {
	   console.log(e);
        alert("链接复制成功，在手机浏览器中打开，以完成支付！")
	    });
   clipboard.on('error', function(e) {
	           console.log(e);
	           alert("复制失败！")
	 	});
})
</script>
</body>